(ns org.opencase.reporting.convertors.ocrf
  (:require clojure.pprint)) 

(defn create-output-file [dir] 
  (java.io.File. (str (.getAbsolutePath dir) java.io.File/separator "output.txt")))

(defn produce [report params]
  (let [file (create-output-file (:output-dir params))]    
    (with-open [writer (java.io.OutputStreamWriter. (java.io.FileOutputStream. file) "UTF-8")]
      (clojure.pprint/pprint report writer))))

