(ns org.opencase.reporting.extensions)

(defn configuration-elements-for [id]
  (seq (.getConfigurationElementsFor 
         (org.eclipse.core.runtime.Platform/getExtensionRegistry) id)))

(defn elements-by-attribute [elements attr value]
  (filter #(= (.getAttribute % name) value) elements))

(defn element-children [element]
  (seq (.getChildren element)))